model suspension
  Modelica.Mechanics.Translational.Components.Mass mass(a(fixed = true), m = 150) annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={2,36})));
  Modelica.Mechanics.Translational.Sources.Force force annotation (Placement(
        transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={2,62})));
  Modelica.Blocks.Sources.Constant const(k=-1500)
    annotation (Placement(transformation(extent={{-44,68},{-24,88}})));
  Modelica.Mechanics.Translational.Components.SpringDamper springDamper(c=20000,
      d=1000) annotation (Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=270,
        origin={2,4})));
  Modelica.Mechanics.Translational.Sources.Position position annotation (
      Placement(transformation(
        extent={{-10,-10},{10,10}},
        rotation=90,
        origin={-2,-28})));
  Modelica.Blocks.Sources.Step step(height = 0.05, startTime = 2)  annotation(
    Placement(visible = true, transformation(origin = {-46, -52}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
equation
  connect(force.f, const.y) annotation(
    Line(points = {{2, 74}, {-10, 74}, {-10, 78}, {-23, 78}}, color = {0, 0, 127}));
  connect(springDamper.flange_b, position.flange) annotation(
    Line(points = {{2, -6}, {0, -6}, {0, -18}, {-2, -18}}, color = {0, 127, 0}));
  connect(springDamper.flange_a, mass.flange_b) annotation(
    Line(points = {{2, 14}, {2, 26}}, color = {0, 127, 0}));
  connect(force.flange, mass.flange_a) annotation(
    Line(points = {{2, 52}, {2, 46}}, color = {0, 127, 0}));
  connect(step.y, position.s_ref) annotation(
    Line(points = {{-34, -52}, {-2, -52}, {-2, -40}, {-2, -40}}, color = {0, 0, 127}));
  annotation (
    uses(Modelica(version="3.2.2")));
end suspension;
